IncludeTargets (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork
[Groovy] Class IncludeTargets

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.IncludeTargets

    @groovy.transform.CompileStatic
    class IncludeTargets
    extends java.lang.Object

Property Summary
`groovy.lang.Binding` | `binding`
`java.lang.ClassLoader` | `classLoader`

Constructor Summary
`IncludeTargets(java.lang.ClassLoader classLoader, groovy.lang.Binding binding)`

Method Summary
`java.lang.Object` | `leftShift(java.lang.Class theClass)` Implementation of the << operator taking a `Class` parameter.
`java.lang.Object` | `leftShift(java.io.File f)` Implementation of the << operator taking a `Class` parameter.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### binding

    groovy.lang.Binding binding

### classLoader

    java.lang.ClassLoader classLoader

Constructor Detail

### IncludeTargets

    IncludeTargets(java.lang.ClassLoader classLoader, groovy.lang.Binding binding)

Method Detail

### leftShift

    java.lang.Object leftShift(java.lang.Class theClass)

  Implementation of the << operator taking a `Class` parameter.
  Parameters:
    `theClass` - The `Class` to load and instantiate.
  Returns:
    The includer object to allow for << chaining.

### leftShift

    java.lang.Object leftShift(java.io.File f)

  Implementation of the << operator taking a `Class` parameter.
  Parameters:
    `theClass` - The `Class` to load and instantiate.
  Returns:
    The includer object to allow for << chaining.

Groovy Documentation